Package org.opensaml.saml.saml2.metadata

# Interface Endpoint

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `SAMLObject`, `XMLObject`

All Known Subinterfaces:
  `ArtifactResolutionService`, `AssertionConsumerService`, `AssertionIDRequestService`, `AttributeService`, `AuthnQueryService`, `AuthzService`, `DiscoveryResponse`, `IndexedEndpoint`, `ManageNameIDService`, `NameIDMappingService`, `RequestInitiator`, `SingleLogoutService`, `SingleSignOnService`

All Known Implementing Classes:
  `ArtifactResolutionServiceImpl`, `AssertionConsumerServiceImpl`, `AssertionIDRequestServiceImpl`, `AttributeServiceImpl`, `AuthnQueryServiceImpl`, `AuthzServiceImpl`, `DiscoveryResponseImpl`, `EndpointImpl`, `IndexedEndpointImpl`, `ManageNameIDServiceImpl`, `NameIDMappingServiceImpl`, `RequestInitiatorImpl`, `SingleLogoutServiceImpl`, `SingleSignOnServiceImpl`

public interface Endpoint extends SAMLObject, ElementExtensibleXMLObject, AttributeExtensibleXMLObject
SAML 2.0 Metadata Endpoint data type interface.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BINDING_ATTRIB_NAME`
"Binding" attribute name.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`LOCATION_ATTRIB_NAME`
"Location" attribute name.
`static final String`
`RESPONSE_LOCATION_ATTRIB_NAME`
"ResponseLocation" attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getBinding()`
Gets the URI identifier for the binding supported by this Endpoint.
`String`
`getLocation()`
Gets the URI, usually a URL, for the location of this Endpoint.
`String`
`getResponseLocation()`
Gets the URI, usually a URL, responses should be sent to this for this Endpoint.
`void`
`setBinding(String binding)`
Sets the URI identifier for the binding supported by this Endpoint.
`void`
`setLocation(String location)`
Sets the URI, usually a URL, for the location of this Endpoint.
`void`
`setResponseLocation(String location)`
Sets the URI, usually a URL, responses should be sent to this for this Endpoint.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### BINDING_ATTRIB_NAME

@Nonnull @NotEmpty static final String BINDING_ATTRIB_NAME
"Binding" attribute name.

See Also:
  - Constant Field Values

### LOCATION_ATTRIB_NAME

@Nonnull @NotEmpty static final String LOCATION_ATTRIB_NAME
"Location" attribute name.

See Also:
  - Constant Field Values

### RESPONSE_LOCATION_ATTRIB_NAME

@Nonnull @NotEmpty static final String RESPONSE_LOCATION_ATTRIB_NAME
"ResponseLocation" attribute name.

See Also:
  - Constant Field Values

## Method Details

### getBinding

@Nullable String getBinding()
Gets the URI identifier for the binding supported by this Endpoint.

Returns:
  the URI identifier for the binding supported by this Endpoint

### setBinding

void setBinding(@Nullable String binding)
Sets the URI identifier for the binding supported by this Endpoint.

Parameters:
  `binding` - the URI identifier for the binding supported by this Endpoint

### getLocation

@Nullable String getLocation()
Gets the URI, usually a URL, for the location of this Endpoint.

Returns:
  the location of this Endpoint

### setLocation

void setLocation(@Nullable String location)
Sets the URI, usually a URL, for the location of this Endpoint.

Parameters:
  `location` - the location of this Endpoint

### getResponseLocation

@Nullable String getResponseLocation()
Gets the URI, usually a URL, responses should be sent to this for this Endpoint.

Returns:
  the URI responses should be sent to this for this Endpoint

### setResponseLocation

void setResponseLocation(@Nullable String location)
Sets the URI, usually a URL, responses should be sent to this for this Endpoint.

Parameters:
  `location` - the URI responses should be sent to this for this Endpoint